Bug 123176 - [RFE] Need new perl rpm release that fixes threaded memory leak
[RFE] Need new perl rpm release that fixes threaded memory leak
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
:
Depends On:
Blocks: 154449 168424
  Show dependency treegraph
 
Reported: 2004-05-13 12:34 EDT by Marc Wiartrowski
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-881
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 09:56:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Wiartrowski 2004-05-13 12:34:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7b)
Gecko/20040316

Description of problem:
Would like a new perl rpm that addresses the shared.xs memory leak
when using threads.  I believe it was fixed atleast by version 5.8.2

Don't want to have to compile my own version of perl for the Enterprise
version.

-thanks

Version-Release number of selected component (if applicable):
perl-5.8.0-88.4

How reproducible:
Always

Steps to Reproduce:
NA

Additional info:
Comment 1 Suzanne Hillman 2005-04-11 16:13:15 EDT
Internal RFE bug #154449 entered; will be considered for future releases.
Comment 2 Jason Vas Dias 2005-11-09 19:00:53 EST
Sorry for the delay in processing this bug .

By "shared.xs memory leak" are you referring to this perl bug :
   #24061: shared array memory leak in 5.8.1
   ( http://rt.perl.org/rt3/Ticket/Display.html?id=24061 )
?

If so, the patch which fixes it ( #21530 ) has now been applied to the 
next RHEL-3 perl-5.8.0-90.2 version.

This bug should probably have been treated as a normal bug report rather than
an enhancement request - it is a bug that perl-5.8.0's threads implementation
leaks memory, and a request to fix this is not an enhancement request.
Comment 3 Marc Wiartrowski 2005-11-14 08:58:12 EST
Yes, this looks like our problem.  -thanks
Comment 7 Red Hat Bugzilla 2005-12-20 09:56:41 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-881.html

Note You need to log in before you can comment on or make changes to this bug.